Skip to navigation

Delete SKU

View as Markdown

Delete an unused SKU. The Site is determined from the saved SKU record.

The Org must have an Infrastructure Provider that owns the SKU’s Site. The user must have an authorization role with the PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
skuIdstringRequired
ID of the SKU

Response

No Content

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error